PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE mxAgent (
	pid INTEGER PRIMARY KEY ASC
);
INSERT INTO "mxAgent" VALUES(0);
CREATE TABLE controlManagement (
	id INTEGER PRIMARY KEY ASC, 
	actions VARCHAR(50) NOT NULL, 
	commits INTEGER DEFAULT 0	-- 0: normal/ 1: modified
);
INSERT INTO "controlManagement" VALUES(1,'mxDo',0);
INSERT INTO "controlManagement" VALUES(2,'mxDi',0);
INSERT INTO "controlManagement" VALUES(3,'mxSerial',0);
INSERT INTO "controlManagement" VALUES(4,'mxBiosMgmt',0);
INSERT INTO "controlManagement" VALUES(5,'mxPled',0);
INSERT INTO "controlManagement" VALUES(6,'mxSystemWatchdog',0);
CREATE TABLE mxSystem (
	id INTEGER PRIMARY KEY ASC, 
	trapIp VARCHAR(15) NOT NULL, 
	trapCommunity VARCHAR(30) NOT NULL
);
INSERT INTO "mxSystem" VALUES(1,'192.168.27.108','public');
CREATE TABLE mxUsbDevice (
	id INTEGER PRIMARY KEY, 	-- not use ASC to avoid the value over the maxinum
	vendor VARCHAR(50) NOT NULL, 
	product VARCHAR(50) NOT NULL, 
	activeClass INTEGER NOT NULL, 	-- 1:other/2:hid/3:mass
	bus	INTEGER NOT NULL,	
	port	INTEGER NOT NULL,	
	isExisted INTEGER DEFAULT 0 NOT NULL
);
INSERT INTO "mxUsbDevice" VALUES(1,'0x1a40 ()','0x0101 (USB 2.0 Hub)',1,2,0,0);
CREATE TABLE mxUsbControl (
	id INTEGER PRIMARY KEY,  
	enableTrap INTEGER DEFAULT 0 NOT NULL -- 0/1
);
INSERT INTO "mxUsbControl" VALUES(1,0);
CREATE TABLE mxProductInfo (
	id INTEGER PRIMARY KEY, 
	name VARCHAR(50) DEFAULT '' NOT NULL, 
	description VARCHAR(50) DEFAULT '' NOT NULL, 
	version	VARCHAR(20) DEFAULT '' NOT NULL,
	buildDate VARCHAR(20) DEFAULT '' NOT NULL,
	serialNumber VARCHAR(20) DEFAULT '' NOT NULL
);
INSERT INTO "mxProductInfo" VALUES(1,'V2616A','Moxa embedded computer','1.0','13100120','');
CREATE TABLE mxDi (
	id INTEGER PRIMARY KEY ASC, 
	status INTEGER NOT NULL,	-- 0: normal/ 1:modified
	portNumber INTEGER NOT NULL, 
	value INTEGER NOT NULL, 	-- 0/1
	enableTrap INTEGER NOT NULL	-- 0/1
);
INSERT INTO "mxDi" VALUES(1,0,0,1,0);
INSERT INTO "mxDi" VALUES(2,0,1,1,0);
INSERT INTO "mxDi" VALUES(3,0,2,1,0);
INSERT INTO "mxDi" VALUES(4,0,3,1,0);
INSERT INTO "mxDi" VALUES(5,0,4,1,0);
INSERT INTO "mxDi" VALUES(6,0,5,1,0);
CREATE TABLE mxDo (
	id INTEGER PRIMARY KEY ASC, 
	status INTEGER NOT NULL,	-- 0: normal/ 1:modified
	portNumber INTEGER NOT NULL, 
	value INTEGER NOT NULL		-- 0/1
);
INSERT INTO "mxDo" VALUES(1,0,0,0);
INSERT INTO "mxDo" VALUES(2,0,1,0);
CREATE TABLE mxSerial (
	id INTEGER PRIMARY KEY ASC,  	-- also use as port number
	status INTEGER NOT NULL,	-- 0: normal/ 1:modified/3:refresh
	type INTEGER DEFAULT 0 NOT NULL -- 0: rs232 / 1:rs485w2 / 2:rs422 / 3:rs485w4
);
INSERT INTO "mxSerial" VALUES(1,0,0);
INSERT INTO "mxSerial" VALUES(2,0,0);
INSERT INTO "mxSerial" VALUES(3,0,0);
INSERT INTO "mxSerial" VALUES(4,0,0);
INSERT INTO "mxSerial" VALUES(5,0,0);
INSERT INTO "mxSerial" VALUES(6,0,0);
INSERT INTO "mxSerial" VALUES(7,0,0);
INSERT INTO "mxSerial" VALUES(8,0,0);
INSERT INTO "mxSerial" VALUES(9,0,0);
INSERT INTO "mxSerial" VALUES(10,0,0);
INSERT INTO "mxSerial" VALUES(11,0,0);
INSERT INTO "mxSerial" VALUES(12,0,0);
INSERT INTO "mxSerial" VALUES(13,0,0);
INSERT INTO "mxSerial" VALUES(14,0,0);
INSERT INTO "mxSerial" VALUES(15,0,0);
INSERT INTO "mxSerial" VALUES(16,0,0);
CREATE TABLE mxPled (
	id INTEGER PRIMARY KEY ASC, 
	status INTEGER NOT NULL,	-- 0: normal/ 1:modified
	portNumber INTEGER NOT NULL, 
	value INTEGER NOT NULL		-- 0/1
);
CREATE TABLE mxBiosMgmt (
	id INTEGER PRIMARY KEY ASC, 
	status INTEGER DEFAULT 0 NOT NULL, -- 0: normal, 1: modifined, 2: busy 
	name TEXT NOT NULL,
	curValue Text NOT NULL,
	newValue Text NOT NULL 
);
INSERT INTO "mxBiosMgmt" VALUES(1,0,'biosVersion','V1.00S05','V1.00S05');
INSERT INTO "mxBiosMgmt" VALUES(2,0,'bootDeviceStatus','','');
INSERT INTO "mxBiosMgmt" VALUES(3,0,'firstBootDevice','1','1');
INSERT INTO "mxBiosMgmt" VALUES(4,0,'pwrOnAfterPwrFail','Not MOXA product','Not MOXA product');
INSERT INTO "mxBiosMgmt" VALUES(5,0,'pwrLanWakeUp','Not MOXA product','Not MOXA product');
INSERT INTO "mxBiosMgmt" VALUES(6,0,'biosSaveSetting','0','0');
CREATE TABLE mxSensorMgmt (
    id INTEGER PRIMARY KEY ASC, 
    status INTEGER DEFAULT 0 NOT NULL,	--0: normal, 1: modifined, 2: busy 
    type INTEGER NOT NULL,              --0: Temperature, 1: Voltage, 2: Fan 
    number INTEGER NOT NULL,
    name TEXT NOT NULL,
    value TEXT NOT NULL 		--Note: this value should be mC, mV
);
INSERT INTO "mxSensorMgmt" VALUES(1,0,0,0,'System','41000');
INSERT INTO "mxSensorMgmt" VALUES(2,0,0,1,'CPU','47000');
INSERT INTO "mxSensorMgmt" VALUES(3,0,1,0,'V_CPU','944');
INSERT INTO "mxSensorMgmt" VALUES(4,0,1,1,'V_GFX','432');
INSERT INTO "mxSensorMgmt" VALUES(5,0,1,2,'VTT_CPU','1040');
INSERT INTO "mxSensorMgmt" VALUES(6,0,1,3,'VCCSA_CPU','864');
INSERT INTO "mxSensorMgmt" VALUES(7,0,1,4,'V1.05','1040');
INSERT INTO "mxSensorMgmt" VALUES(8,0,1,5,'V5.0','4992');
CREATE TABLE mxSystemInfo (
	id INTEGER PRIMARY KEY ASC, 
	cpuUsage INTEGER NOT NULL,	-- Show CPU usage rate (0-100 %). Eg. 38
	memUsage INTEGER NOT NULL,	-- Show memory usage rate (0-100 %). Eg. 57
	uptime INTEGER NOT NULL, 	-- Minute. The amount of time since this host was last initialized. 
	totalUptime INTEGER NOT NULL	-- Minute. The amount of time from total boot uptime.
);
INSERT INTO "mxSystemInfo" VALUES(1,100,10.48,164,164);
CREATE TABLE mxSystemWatchdog (
	id INTEGER PRIMARY KEY ASC,
	status INTEGER DEFAULT 0 NOT NULL,	-- 0: normal, 1: modifined, 2: busy 
	watchdogPeriod INTEGER NOT NULL,	-- 2 ~ 255 seconds. 0 means disable watchdog monitor program; otherwise enable watchdog monitor program and configure the expired time.
	watchdogStatus INTEGER NOT NULL		-- running(1), stopped(2). To show the watchdog monitor program status.
);
INSERT INTO "mxSystemWatchdog" VALUES(1,0,60,2);
CREATE TABLE mxSystemStorage (
	id INTEGER PRIMARY KEY ASC, 
	memSize INTEGER NOT NULL,	-- KBytes. The amount of physical main memory contained by the host. Eg. 524288
	volumeCount INTEGER NOT NULL	-- Show total volume count. /dev/sd[a-z][1-9], total value number
);
INSERT INTO "mxSystemStorage" VALUES(1,874436,1);
CREATE TABLE mxSystemVolume (
	id INTEGER PRIMARY KEY ASC,	-- Reference index for each observed device.
	volumeName VARCHAR(256) DEFAULT '' NOT NULL,	-- The name of the volumn. Eg. /dev/sda1 or C:
	volumeLabel VARCHAR(256) DEFAULT '' NOT NULL,	-- The label of the volume. Eg. System or Data 
	volumeSize VARCHAR(256) DEFAULT '' NOT NULL,	-- The total size of the volume. Eg. 100.9 MB or 3.6 GB
	volumeAvailable VARCHAR(256) DEFAULT '' NOT NULL	-- The available size of the volume. Eg. 965 KB or 844.8 MB
);
INSERT INTO "mxSystemVolume" VALUES(4,'/dev/sda1','396a469c-3f65-47c4-97b2-da9248e451bb','951M','109M');
COMMIT;
